/*
	LUSScreenSaver Plugin LUSSSTemplate ( Default like )
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _LESS_UNSATICEFACTORY_SCREENSAVER_TEMPLATE_SETTING_H_
#define _LESS_UNSATICEFACTORY_SCREENSAVER_TEMPLATE_SETTING_H_

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLineEdit;
class QPushButton;
class QCheckBox;

class LUSSSTemplateSetting : public QDialog
{
Q_OBJECT

public:
	LUSSSTemplateSetting( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~LUSSSTemplateSetting();

private:
	QCheckBox *	DateCheckBox;
	QCheckBox *	TimeCheckBox;
	QPushButton *	PushButton1;
	QPushButton *	PushButton2;

protected:
	void closeEvent( QCloseEvent * );

protected slots:
	void accept();

public slots:
signals:
};

#endif // _LESS_UNSATICEFACTORY_SCREENSAVER_TEMPLATE_SETTING_H_
