/*
	LUSScreenSaver Plugin LUSSSTemplate ( Default like )
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _LESS_UNSATICEFACTORY_SCREENSAVER_TEMPLATE_WIDGET_H_
#define _LESS_UNSATICEFACTORY_SCREENSAVER_TEMPLATE_WIDGET_H_

#include <qwidget.h>
#include <qpen.h>
#include <qcolor.h>
#include <qpoint.h>
#include <qpixmap.h>
#include <qevent.h>
#include <qpainter.h>
#include <qrect.h>
#include <qpoint.h>
#include <qtimer.h>
#include <stdlib.h>
#include <qdatetime.h>
#include <qpe/config.h>

class LUSSSTemplateWidget : public QWidget
{
	Q_OBJECT
public:
	LUSSSTemplateWidget( QWidget* = 0, const char* = 0 );
	virtual ~LUSSSTemplateWidget();
	void Start();
	void Stop();
protected:
    void paintEvent( QPaintEvent *e );
	QTimer* timer;
protected slots:
	void timerDo();
private:
	bool	m_bDate;
	bool	m_bTime;
};

#endif // _LESS_UNSATICEFACTORY_SCREENSAVER_TEMPLATE_WIDGET_H_
